Name: mail-notification
Version: 2.0
Release: alt2.1

Summary: A mail notification icon for the system tray.
License: GPL
Group: Graphical desktop/GNOME
Url: http://www.nongnu.org/mailnotify

Source: %name-%version.tar.gz
Patch1: %name-2.0-alt-build.patch

Requires(post,postun): scrollkeeper

BuildPreReq: menu-devel

BuildRequires: libSM-devel libeel2-devel libgmime-devel libgnome-devel libgnomeui-devel libicu-devel libpopt-devel libsoup-devel libssl-devel scrollkeeper zlib-devel

%description
Mail Notification is a status icon (aka tray icon) that
informs you if you have new mail.

It works with system trays implementing the freedesktop.org
System Tray Specification, such as trays of GNOME, XFCE and KDE.

Features include: multiple mailboxes, SASL and APOP authentication,
SSL/TLS, immediate notification, mail summary.

Supported mail sources: mbox, MH, maildir, Sylpheed mailbox,
POP3, IMAP. GNOME version also supports GMail.

%prep
%setup -q
%patch1
%__subst "s/-scrollkeeper-update/#-scrollkeeper-update/" help/omf.make

%build
export LDFLAGS=-Wl,--export-dynamic 
%configure \
    --disable-schemas-install \
    --disable-ipv6 \
    --enable-regression-tests
unset LDFLAGS

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menu
%__mkdir_p %buildroot%_menudir
freedesktop2menu.pl %name "Networking/Mail" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %name

%post
%gconf2_install %name
%update_menus
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%_bindir/*
%_libdir/bonobo/servers/*
%_datadir/%name/*
%_datadir/pixmaps/*
#%%_datadir/control-center-2.0/*/*
%_datadir/applications/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%config %_sysconfdir/sound/events/*
%doc README COPYING TODO AUTHORS NEWS

%changelog
* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 2.0-alt2.1
- Rebuilt due to libcrypto.so.4 -> libcrypto.so.6 soname change.

* Thu Jan 26 2006 Alexey Rusakov <ktirf@altlinux.ru> 2.0-alt2
- Corrected buildreqs for X.org 7.0

* Sun Aug 14 2005 Alexey Rusakov <ktirf@altlinux.ru> 2.0-alt1
- New upstream version.
- Removed excess BuildReqs.

* Wed Apr 06 2005 Alexey Rusakov <ktirf@altlinux.ru> 1.1-alt1
- Initial Sisyphus package.

